using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DiplomovaPrace.Contracts.ProductCategories.InputModels
{
	[DataContract]
	public class ProductCategoryIM
	{
		[DataMember(Order = 1)]
		public int ID { get; set; }

		[Required(ErrorMessage = "Název je vyžadován!")]
		[MaxLength(50, ErrorMessage = "Maximální délka řetězce je 50 znaků!")]
		[DataMember(Order = 2)]
		public string Name { get; set; }

		[MaxLength(150, ErrorMessage = "Maximální délka popisu je 150 znaků!")]
		[DataMember(Order = 3)]
		public string Description { get; set; }

		[DataMember(Order = 4)]
		public int? ParentID { get; set; }
	}
}
